Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenDomainElementTarget

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, GenAuditable, GenMeasurable, GenRuleTarget, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenDomainElementTargetImpl

    public interface GenDomainElementTarget

extends GenAuditable, GenMeasurable

A representation of the model object 'Gen Domain Element Target'. Target for rules applied on domain model elements

The following features are supported:

- `Element`

See Also:
  `GMFGenPackage.getGenDomainElementTarget()`
** Generated **
Model:

Method Summary
`org.eclipse.emf.codegen.ecore.genmodel.GenClass` `getElement()` Returns the value of the 'Element' reference
`void` `setElement(org.eclipse.emf.codegen.ecore.genmodel.GenClass value)` Sets the value of the '`Element`' reference

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenAuditable
`getContextSelector, getTargetClass, getTargetClassModelQualifiedName, setContextSelector`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenRuleTarget
`getContext`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getElement

    org.eclipse.emf.codegen.ecore.genmodel.GenClass getElement()

  Returns the value of the 'Element' reference.

  If the meaning of the 'Element' reference isn't clear, there really should be more of a description here...

  Targeted domain model element

  Returns:
    the value of the 'Element' reference.
  See Also:
    `setElement(GenClass)`, `GMFGenPackage.getGenDomainElementTarget_Element()`
  ** Generated **
  Model:
    required="true"

### setElement

    void setElement(org.eclipse.emf.codegen.ecore.genmodel.GenClass value)

  Sets the value of the '`Element`' reference.

  Parameters:
    `value` - the new value of the 'Element' reference.
  See Also:
    `getElement()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.